Bug 1569548 - Change the fluentd request timeout to be essentially infinite
Summary: Change the fluentd request timeout to be essentially infinite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.7.1
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.7.z
Assignee: ewolinet
QA Contact: Anping Li
URL:
Whiteboard:
Depends On: 1559404 1569550
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 13:22 UTC by Jeff Cantrill
Modified: 2018-05-18 03:55 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Bump up the fluentd timeout to be max unsigned int Reason: Currently we default the indexing request timeout for fluentd to 600 seconds. That is about 10 minutes. In certain situations, this timeout is not long enough. If we make this essentially infinite, we'll avoid fluentd pods re-submitting requests unnecessarily. Result: The fluentd timeout is 2147483648 and will wait for a very long time before resubmitting a request to ES due to a timeout failure
Clone Of: 1559404
Environment:
Last Closed: 2018-05-18 03:54:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin-aggregated-logging pull 1041 None None None 2018-04-19 13:23:11 UTC
Red Hat Product Errata RHBA-2018:1576 None None None 2018-05-18 03:55:08 UTC

Comment 3 Anping Li 2018-05-09 10:42:21 UTC
The bug have been fixed in  v3.7.46.

Comment 6 errata-xmlrpc 2018-05-18 03:54:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1576


Note You need to log in before you can comment on or make changes to this bug.